#if !defined(AFX_NEWEDITPATIENTDIAL_H__097CC787_FA9A_4D68_979A_4819E03BA7FB__INCLUDED_)
#define AFX_NEWEDITPATIENTDIAL_H__097CC787_FA9A_4D68_979A_4819E03BA7FB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NewEditPatientDial.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// NewEditPatientDial dialog

class NewEditPatientDial : public CDialog
{
// Construction
public:
	NewEditPatientDial();   // standard constructor
    BOOL m_bEdit;
	void Exit();
	BOOL m_bInitYet;
	DataBasePage* m_pdb;
	CTime m_curdt;
	CString m_strAddionalRegistryOld;

	static enum entypeRegistryNodes  m_enTypeRegNode;	
	static char* m_pszPatientRecFormat[];
	static char* m_pszDoctorRecFormat[];
	static char* m_pszLensTypeRecFormat[];
	static char* m_pszFullPatientRecFormat[];
	static char* m_pszFullDoctorRecFormat[];
	static char* m_pszFullLensTypeRecFormat[];
	static char* m_pszEditNewLensTypeRecFormat[];
	static struct sttypeRegistryNodes m_arListReg[];
	CMapStringToString m_DoctorsName_DoctorIdMap;
	CMapStringToString m_DoctorId_DoctorsNameMap;
	CString	m_szDoctorId;
	void ReadDoctorsList(); 
	int WriteRegDB();
	int ReadRegDB();
// Dialog Data
	//{{AFX_DATA(NewEditPatientDial)
	enum { IDD = IDD_NEW_EDIT_PATIENT };
	CEdit	m_edState;
	CEdit	m_edAge;
	CEdit	m_edNote;
	CButton	m_btMale;//radio
	CButton m_btFemale;//radio
	CStatic 	m_edDN;
	CButton	m_btCancel;
	CButton	m_btMeasure;
	CButton	m_btSave;
	CComboBox	m_comboDoctorName;
	CEdit	m_cntrK1_value_l;
	CEdit	m_cntrP_zip;
	CEdit	m_cntrP_phone;
	CEdit	m_cntrDob_yy;
	CEdit	m_cntrDob_dd;
	CEdit	m_cntrP_city;
	CEdit	m_cntrK2_value_r;
	CEdit	m_cntrK2_value_l;
	CEdit	m_cntrK1_value_r;
	CEdit	m_cntrK_value_r;
	CEdit	m_cntrK_value_l;
	CEdit	m_cntrDob_mm;
	CEdit	m_cntrP_Address;
	CEdit	m_cntrLastname;
	CEdit	m_cntrFirstname;
	CEdit	m_cntrPatien_id;
	CString	m_szPatient_Id;
	CString	m_szFirstname;
	CString	m_szLastname;
	CString	m_szP_Address;
	CString	m_szP_city;
	CString	m_szP_zip;
	CString	m_szK_value_l;
	CString	m_szK_value_r;
	CString	m_szK1_value_l;
	CString	m_szK1_value_r;
	CString	m_szK2_value_l;
	CString	m_szK2_value_r;
	CString	m_szP_age;
	CString	m_szDob_mm;
	CString	m_szDob_yy;
	CString	m_szDob_dd;
	CString	m_szNote;
	CString	m_szDoctorName;
	int		m_nGender;
	CString	m_szP_phone;
	CString	m_szP_state;
	CString	m_strValidMessaage;
	//}}AFX_DATA
    BOOL m_bCallMeasurePage;
HBRUSH   m_hbrDialBrush;
	COLORREF m_clrDialBrush;
	COLORREF m_clrDialBack;
	COLORREF m_clrDialFront;
	HBRUSH   m_hbrButtonsBrush;
    COLORREF m_clrButtonsBrush; 
	COLORREF m_clrButtonsBack;
	COLORREF m_clrButtonsFront;
	HBRUSH   m_hbrStaticBrush;
    COLORREF m_clrStaticBrush; 
	COLORREF m_clrStaticBack;
	COLORREF m_clrStaticFront;
	COLORREF m_clrMsgBoxesBrush; 
	HBRUSH   m_hbrMsgBoxesBrush;
	COLORREF m_clrMsgBoxesBack;
	COLORREF m_clrMsgBoxesFront;
	COLORREF m_clrEditBoxesBrush; 
	HBRUSH   m_hbrEditBoxesBrush;
	COLORREF m_clrEditBoxesBack;
	COLORREF m_clrEditBoxesFront;
	COLORREF m_clrScrollBarsBrush; 
	HBRUSH   m_hbrScrollBarsBrush;
	COLORREF m_clrScrollBarsBack;
	COLORREF m_clrScrollBarsFront;
	COLORREF m_clrListBoxesBrush; 
	HBRUSH   m_hbrListBoxesBrush;
	COLORREF m_clrListBoxesBack;
	COLORREF m_clrListBoxesFront;
	int      m_nfildnumber;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(NewEditPatientDial)
	public:
    virtual void OnCancel(); 
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult); 
	virtual BOOL Create(HWND hParentWnd);
	protected:
    virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void PostNcDestroy();
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(NewEditPatientDial)
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnSave();
	afx_msg void OnMesure();
	virtual void On_Cancel();
	afx_msg void OnMovetonextfild();
	afx_msg void OnChangePatientId();
	afx_msg void OnSelchangeDoctorNameCombo();
	afx_msg void OnDoubleclickedMesure();
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnChangeK1ValueR();
	afx_msg void OnChangeK1ValueL();
	afx_msg void OnChangeK2ValueL();
	afx_msg void OnChangeK2ValueR();
	afx_msg void OnKillfocusK1ValueR();
	afx_msg void OnKillfocusK1ValueL();
	afx_msg void OnKillfocusK2ValueL();
	afx_msg void OnKillfocusK2ValueR();
	afx_msg void OnKillfocusPDobYy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NEWEDITPATIENTDIAL_H__097CC787_FA9A_4D68_979A_4819E03BA7FB__INCLUDED_)
